View Issue Details

IDProjectCategoryView StatusLast Update
11449Feature requests[All Projects] Survey designpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target Version3.0Fixed in Version3.0 
Summary11449: Readding real label
Description

I know why label is removed : because user can add HTML inside answer/subquestion BUT :

  • We use input:text : user must WANT to put block part inside label
  • This make invalid HTML5, but don't break anything, and we already surely have some invalid css or HTML
Additional Information

See http://codeguide.co/#html-practicality

With a real label : it's OK in a lot of situaltion.

Tagsanswers_html

Relationships

related to 11448 closedDenisChenu Bug reports Unable to show list radio as button without JS 
has duplicate 11931 closedDenisChenu Bug reports <label>-Tag didn't enclose the answer 

Related Changesets

LimeSurvey: answers_html 86aeba89

2016-10-05 17:42:28

DenisChenu

Details Diff
Dev issue 11680 : replace sr-only by ls-label-xs-visibility
Dev: tested on base_awesome + default with same template-core for all aray
Affected Issues
11449, 11680
mod - application/core/packages/limesurvey/ls-public.css Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/arrays/10point/rows/cells/answer_td_input.php Diff File
mod - application/views/survey/questions/arrays/5point/rows/cells/answer_td_input.php Diff File
mod - application/views/survey/questions/arrays/array/no_dropdown/rows/cells/answer_td.php Diff File
mod - application/views/survey/questions/arrays/dualscale/answer.php Diff File
mod - application/views/survey/questions/arrays/dualscale/answer_dropdown.php Diff File
mod - application/views/survey/questions/arrays/increasesamedecrease/rows/answer_row.php Diff File
mod - application/views/survey/questions/arrays/multiflexi/rows/answer_row.php Diff File
mod - application/views/survey/questions/arrays/multiflexi/rows/cells/answer_td.php Diff File
mod - application/views/survey/questions/arrays/multiflexi/rows/cells/answer_td_checkboxes.php Diff File
mod - application/views/survey/questions/arrays/texts/rows/cells/answer_td.php Diff File
mod - application/views/survey/questions/arrays/yesnouncertain/rows/answer_row.php Diff File
rm - templates/base/css/bootstrap-ls.css Diff File
rm - templates/base/css/jquery-ui-fix.css Diff File
rm - templates/base/css/limesurvey.css Diff File
mod - templates/base/css/template.css Diff File
mod - templates/base_awesome/css/template-core.css Diff File
mod - templates/base_awesome/pstpl/question.pstpl Diff File
mod - templates/default/css/template-core.css Diff File

Issue History

Date Modified Username Field Change
2016-07-14 12:13 DenisChenu New Issue
2016-07-14 12:14 DenisChenu Relationship added related to 11448
2016-07-28 16:53 DenisChenu Assigned To => DenisChenu
2016-07-28 16:53 DenisChenu Status new => assigned
2016-09-15 16:08 DenisChenu Category Theme editor => Survey design
2016-09-15 16:08 DenisChenu Target Version => 3.0
2016-09-15 16:08 DenisChenu Note Added: 40790
2016-10-05 09:54 DenisChenu Tag Attached: answers_html
2016-10-05 17:47 DenisChenu Changeset attached => LimeSurvey answers_html 86aeba89
2016-10-05 17:47 DenisChenu Status assigned => resolved
2016-10-05 17:47 DenisChenu Resolution open => fixed
2016-10-05 17:47 DenisChenu Fixed in Version => 3.0
2016-11-21 17:23 DenisChenu Relationship added has duplicate 11931
2018-04-06 11:48 markusfluer Status resolved => closed